{
  inputs,
  pkgs,
  lib,
  ...
}:
let
  inherit (inputs) pre-commit-hooks-nix;
in
pre-commit-hooks-nix.lib.${pkgs.system}.run {
  src = ../..;
  hooks = {
    pre-commit-hook-ensure-sops.enable = true;
    treefmt = {
      enable = lib.mkForce true;
      settings.fail-on-change = lib.mkForce false;
      packageOverrides.treefmt = inputs.treefmt-nix.lib.mkWrapper pkgs (
        lib.snowfall.fs.get-file "treefmt.nix"
      );
    };
  };
}
